# std::back_insert_iterator::operator++

From cppreference.com
< cpp‎ | iterator‎ | back insert iterator

back_insert_iterator& operator++(); |  |
back_insert_iterator& operator++( int ); |  |

Does nothing. These operator overloads are provided to satisfy the requirements of `OutputIterator`. They make it possible for the expressions *iter++=value and *++iter=value to be used to output (insert) a value into the underlying container.

### Parameters

(none)

### Return value

*this

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/iterator/back_insert_iterator/operator%2B%2B&oldid=42458"